aboutsummaryrefslogtreecommitdiffstats
path: root/test/ical-011.sh
diff options
context:
space:
mode:
authorLars Henriksen <LarsHenriksen@get2net.dk>2020-03-22 07:50:59 +0100
committerLukas Fleischer <lfleischer@calcurse.org>2020-03-22 13:45:40 -0400
commite535eff9040eac07ca43c9db28aa2fd1a61f3b48 (patch)
tree3108719707027a798d229c6754ce66c9312e5fa6 /test/ical-011.sh
parentffbf714c9e6665c13d9ce5d5a2feac812377a7c0 (diff)
downloadcalcurse-e535eff9040eac07ca43c9db28aa2fd1a61f3b48.tar.gz
calcurse-e535eff9040eac07ca43c9db28aa2fd1a61f3b48.zip
Extend iCalendar import tests
Tests ical-010.sh and ical-011.sh assume that Github issue #265 has been fixed (escape-encoding by export). Signed-off-by: Lars Henriksen <LarsHenriksen@get2net.dk> Signed-off-by: Lukas Fleischer <lfleischer@calcurse.org>
Diffstat (limited to 'test/ical-011.sh')
-rwxr-xr-xtest/ical-011.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/test/ical-011.sh b/test/ical-011.sh
new file mode 100755
index 0000000..4b6c238
--- /dev/null
+++ b/test/ical-011.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+# encoded summary TEXT (escaped charaters): export, then import and compare.
+
+. "${TEST_INIT:-./test-init.sh}"
+
+mkdir .calcurse || exit 1
+cp "$DATA_DIR/conf" .calcurse || exit 1
+cp "$DATA_DIR/apts-export" .calcurse/apts || exit 1
+cp "$DATA_DIR/todo-export" .calcurse/todo || exit 1
+
+"$CALCURSE" -D "$PWD/.calcurse" --export=ical > "$PWD"/.calcurse/export.ical &&
+(cd .calcurse; mv apts apts-export; mv todo todo-export) &&
+"$CALCURSE" -D "$PWD/.calcurse" --quiet --import \
+ "$PWD"/.calcurse/export.ical &&
+(cd .calcurse; cmp -s apts-export apts) &&
+(cd .calcurse; cmp -s todo-export todo) &&
+status=0 || status=1
+
+rm -rf .calcurse
+exit $status